## LassoIdWsf2DiscoServiceType LassoIdWsf2DiscoServiceType — <disco:Service> |

## Functions

LassoIdWsf2DiscoServiceType * | lasso_idwsf2_disco_service_type_new ()
LassoIdWsf2DiscoServiceType * | lasso_idwsf2_disco_service_type_new_with_string ()

## Types and Values

struct | LassoIdWsf2DiscoServiceType

## Description

Figure 143. Schema fragment for disco:Service

    <xs:element name="ServiceType" type="xs:anyURI"/>

## Functions

### lasso_idwsf2_disco_service_type_new ()

    LassoIdWsf2DiscoServiceType *
    lasso_idwsf2_disco_service_type_new (void);

Creates a new LassoIdWsf2DiscoServiceType object.

#### Returns

a newly created LassoIdWsf2DiscoServiceType object

### lasso_idwsf2_disco_service_type_new_with_string ()

    LassoIdWsf2DiscoServiceType *
    lasso_idwsf2_disco_service_type_new_with_string
                                   (const char *content);

Creates a new LassoIdWsf2DiscoServiceType object and initializes it with `content` as content.

#### Parameters

content | the content string |

#### Returns

a newly created LassoIdWsf2DiscoServiceType object

## Types and Values

### struct LassoIdWsf2DiscoServiceType

    struct LassoIdWsf2DiscoServiceType {
    	LassoNode parent;

    	/* elements */
    	char *content;
    };